        ***************************************************************
        *                                                             *
        *  Changes and Developments in the ShinyItemAnalysis Package  *
        *                                                             *
        ***************************************************************

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.2. (2020-01-27) -
-------------------------------------------------------

** This is CRAN version, it includes version 1.3.1.-1.-8. **

Besides, following updates are included:

BUG FIXING
  o Mismatch in specification of H0 and H1 was corrected in DIF/Fairness section
    and in Report section.
  o plotDIFLogistic() now correctly plots matching criterion.
  o Logistic method in DIF/Fairness section now correctly plots best fitting
    model when p.adjust.method is applied.
  o Logistic method in DIF/Fairness section now excludes missing values.

MAJOR CHANGES
  o New dataset LearningToLearn was added to the package.
  o New toy datasets LearningToLearn6 and LearningToLearn9 were added to the app.
  o Upload of the DIF matching criterion is now available in Data section of the app.
  o D-DIF index calculation was added into DIF/MH/Item to evaluate DIF effect size
  o OR calculation in DIF/MH was edited.
  o plotDIFLogistic() function was updated to accept class of 'Logistik'
    as input.
  o plotDIFLogistic() now accepts character input for 'item' argument.
  o Summary and Item inputs in DIF/Logistic are connected now. Model is now
    fitted only once.

MINOR CHANGES
  o Citation and list of References were updated.
  o Authors' details were updated.
  o Due to changes in difNLR, function ddfORD was renamed to difORD.
  o About page was updated.
  o Error messages for DistractorAnalysis() and plotDistractorAnalysis() were unified.
  o Copyright year in footer is now responsive.
  o Description of toy datasets was updated.
  o styler package was used for all functions. Documentation was updated.
  o For plotDIFLogistc() it is now possible to turn off plotting empirical probabilities.
    This can be done using draw.empirical = FALSE.
  o Selected R code was updated in DIF/MH
  o Threshold for discrimination can be now specified in DDplot()
    function via argument 'thr'. Default value is 0.2.
  o Warning and error messages were updated for plotDistractorAnalysis()
    function when 'key' is missing.
  o Width of inputs was unified in DIF/Fairness section.
  o Wording was updated.
  o Some typos were fixed.
  o Text in reports was updated.
  o Some examples were set to run to allow for automatic checks of the package.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1-8. (2019-11-02) -
-------------------------------------------------------

BUG FIXING
  o Typos in plotAdjacent(), plotCumulative() and plotMultinomial() were fixed.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1-7. (2019-09-30) -
-------------------------------------------------------

MAJOR CHANGES
  o Functions DistractorAnalysis() and plotDistractorAnalysis()
    were updated to not requiring key input.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1-6. (2019-09-25) -
-------------------------------------------------------

BUG FIXING
  o Bug in key uploading was fixed. When nominal data was uploaded and
    then ordinal (without cut-score specified in file), key was kept
    from nominal data.
  o Bug in ordinal data was fixed. Recalculation of factors to numeric
    is done.
  o Some calculations with NA values were fixed.
  o Double file input "key" was unified.

MINOR CHANGES
  o Item names for toy dataset Science were updated.
  o Basic summary table for ordinal data was updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1-5. (2019-08-26) -
-------------------------------------------------------

BUG FIXING
  o Table for MH in PDF reports was fixed.
  o Header of sections were fixed in PDF reports.
  o IRT parameter estimates table was fixed in PDF reports.
  o Bug in plotMultinomial() for data without NAs was fixed.

MAJOR UPDATES
  o DIF/DDF detection methods for ordinal data were added. DIF/Fairness
    section was updated.

MINOR CHANGES
  o Tabs in Regression were renamed.
  o Warning when group vector is missing was added into Method comparison tab
    in DIF/Fairness section.
  o Method comparison tab for DIF/Fairness section was updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1-4. (2019-08-07) -
-------------------------------------------------------

BUG FIXING
  o In DIF section, Summary table for total scores now displays correct number
    of respondents in groups (N).

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1-3. (2019-07-02) -
-------------------------------------------------------

BUG FIXING
  o Bug in Adjacent model in Regression tab was fixed. Matching criterion
    and parametrization inputs now have effect on model.
  o Bug in plotMultinomial() was fixed. Function now displays more than 12
    response patterns as linetype.

MINOR UPDATES
  o Range for x-axes in plotAdjacent() and plotCumulative() were updated to
    avoid removing data.
  o Some typos were fixed.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1-2. (2019-07-01) -
-------------------------------------------------------

MAJOR UPDATES
  o Cronbach's alpha with CI was added into reports.
  o Bonferroni correction for multiple comparison was added as an option
    for correction methods in Regression, DIF and Reports tabs.

MINOR UPDATES
  o Warning for table for parameters in Bock's IRT model was modified.
  o Wright map now considers item names when option Keep item names.
  o Some wording was updated.
  o Some typos were fixed.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1-1. (2019-06-28) -
-------------------------------------------------------

BUG FIXING
  o Minimal number of groups for gULI in DDplot was set to 2 in both Item
    analysis and Report tabs.

MAJOR UPDATES
  o Mantel-Haenszel test was added into reports.

MINOR UPDATES
  o Error for DIF/Logistic was customized.
  o Text in reports in DIF section was updated.
  o Tables in DIF section now includes both p-values and adjusted p-values
    when correction method is applied.
  o Warning for fancyhdr latex package was solved.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.1. (2019-06-26) -
-------------------------------------------------------

** This is CRAN version, it includes version 1.3.0.-1.-18. **

Besides, following updates are included:

MINOR UPDATES
  o In ItemAnalysis() function, documentation for item reliability and
    item validity indices has been added (Reported by Lot Fonteyne).

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-18. (2019-06-25) -
-------------------------------------------------------

BUG FIXING
  o Bug in plotDistractorAnalysis() was fixed. X-ticks are now displayed
    even with discrete = T argument.

MINOR UPDATES
  o Inputs in Validity/Correlation overlaped when window was narrow. Fixed.
  o Generate and Download buttons overlaped in Reports when window was narrow.
    Fixed.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-17. (2019-06-24) -
-------------------------------------------------------

BUG FIXING
  o DistractorAnalysis() and plotDistractorAnalysis() now handle discrete
    matching and groups specified via argument cut.points.
  o Distractor plots in Validity/Items tab now properly handle discrete
    criterion and the number of groups is correctly descreased when criterion
    does not have unique cuts.
  o Bug in Raju in DIF/Fairness tab was fixed. Plots for items are now
    displayed for dataBov dataset.

MAJOR UPDATES
  o Checking of unique cuts for distractor plots was added into Reports.
    Warning is displayed when cuts are not unique and slider is updated.

MINOR UPDATES
  o Some typos were fixed.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-16. (2019-06-21) -
-------------------------------------------------------

BUG FIXING
  o Bug in Bock's model for binary items was fixed in reports.
  o Histogram when some levels of total scores are missing were fixed
    in Summary and DIF tab.

MAJOR UPDATES
  o Legend was added into IRT plots when downloaded.
  o IRT models now respect ordering of items.

MINOR UPDATES
  o Some typos in IRT models tab were fixed.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-15. (2019-06-20) -
-------------------------------------------------------

BUG FIXING
  o DIF summary table bug was fixed. Table is disaplayed when
    some DIF methods cannot be fitted.
  o DDF parameter tables were fixed for data BOV and Czech Trivia.
  o With difNLR package version 1.2.3 plots for DDF are displayed
    even for binary data. Plots were also fixed for data Bov.
  o PDF Reports now work locally and on shinyapps.io.
  o Dendrogram now properly replaces item names when Keep item names
    is not selected in Data upload section.

MINOR UPDATES
  o Authors' and contributors' details were updated.
  o Function plotMultinomial() was updated to return smooth curves
    for any matching criterion.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-14. (2019-06-19) -
-------------------------------------------------------

BUG FIXING
  o Bug in Bock's nominal IRT model was fixed. ICCs are now properly
    displayed for all binary data. Error for non-displayable
    table of parameters was further improved. Tables for items are
    displayed even in case that table for all items is not.
  o DIF items are now correctly written in reports.
  o Corrplot now properly replaces item names when Keep item names
    is not selected in Data upload section.
  o In DIF/Fairness section, histograms of Total scores for groups
    are now properly displayed also for ordinal items.

MAJOR UPDATES
  o Legends for multinomial and distractor plots were improved.

MINOR UPDATES
  o Authors' and contributors' details were updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-13. (2019-06-18) -
-------------------------------------------------------

BUG FIXING
  o Bug in Bock's nominal IRT model was fixed. ICCs are now properly
    displayed for Czech Trivia dataset. Error for non-displayable
    table of parameters was improved.
  o Bug in DistractorAnalysis was partially fixed, need to be revised.

MAJOR UPDATES
  o Reports:
      - long tables have now header on each new page
      - legend is now visible for IRT plots even when dataset consists
        of more than 50 items
  o Matching criterion in plotMultinomial() was relaxed to decrease
    size of reports.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-12. (2019-06-17) -
-------------------------------------------------------

BUG FIXING
  o Reports are now rendered even in case that multinomial model
    cannot be fitted for some items.
  o With option Keep item names, names of items are properly
    displayed in Report for DIF detection methods.
  o Model comparison table returns now also partial results when
    some models cannot be fitted.
  o Bug in plotMultinomial() was fixed. In case of only two categories
    observed, plot is displayed properly now.
  o Bug in DistractorAnalysis() was fixed. In case of possibly discrete
    matching, matching is cutted based on its factors.

MAJOR UPDATES
  o Uploaded data can be now unloaded without restarting app.
  o Distractor plot for validity analysis was updated to allow
    for lowering the number of categories in cases when cuts
    are not uniquely defined. Application was updated accordingly.

MINOR UPDATES
  o Errors and warnings were customized.
  o In all dichotomous models the number of EM cycles can be
    increased in Settings.
  o Seed was set for validity boxplot for reproducibility of
    jitter points.
  o All static DOI links were updated.
    (Thanks to Katrin Leinweber)
  o Some typos were fixed in reports.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-11. (2019-05-28) -
-------------------------------------------------------

BUG FIXING
  o Option for displaying session info in reports now functions properly.
  o Option to display average score in DDplot in reports fixed.

MAJOR UPDATES
  o New function plotCumulative() which plots category probabilities
    functions estimated by \code{multinom()} from \code{nnet} package
    was added. It is now used in application.
  o New function plotAdjacent() which plots category probabilities
    functions estimated by \code{multinom()} from \code{nnet} package
    was added. It is now used in application.
  o New function plotMultinomial() which plots category probabilities
    functions estimated by \code{multinom()} from \code{nnet} package
    was added. It is now used in application.

MINOR UPDATES
  o Selected R codes for cumulative, adjacent and multinomial models
    were updated.
  o Option for matching criterion (total vs Z-score) in multinomial
    model was added.
  o Equations in DIF section are now center-aligned.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-10. (2019-05-17) -
-------------------------------------------------------

MAJOR UPDATES
  o Alerts for analysis where data with missing values are omitted
    were added.
  o DDplot() now can displayed average item score as estimate of
    difficulty for ordinal data. See argument average.score.

MINOR UPDATES
  o Correlation structure now use pairwise complete observations
    for calculation of correlation.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-9. (2019-05-08) -
-------------------------------------------------------

MAJOR UPDATES
  o DistractorAnalysis() and plotDistractorAnalysis() functions were
    updated to allow for lowering the number of categories in cases when
    cuts are not uniquely defined. Application was updated accordingly.

MINOR UPDATES
  o Tables and equations of polytomous models in Regression section are
    now center-aligned.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-8. (2019-05-07) -
-------------------------------------------------------

BUG FIXING
  o With option 'Keep missing values' unfunctioning analyses were fixed
    (missing data removed, warning message added)

MAJOR UPDATES
  o Multinomial regression plot is now displayed using smooth function

MINOR UPDATES
  o With option 'Keep missing values' warning message is now displayed
    for those analyses for which missing values are omitted.
  o For ordinal data, Cronbach's alpha is now calculated from original
    ordinal (non-binarized) data both in Reliability and in Item analysis
    section.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-7. (2019-04-19) -
-------------------------------------------------------

BUG FIXING
  o Busy indicator now properly displays above input tabs.
  o Bug when using matching in DistractorAnalysis was fixed.

MAJOR UPDATES
  o New ordinal toy dataset SCIENCE was added.

MINOR UPDATES
  o Each tab is now open at the top of the page.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-6. (2019-04-18) -
-------------------------------------------------------

MAJOR UPDATES
  o Adjacent logistic regression model was implemented for ordinal data.
  o Both adjacent and cummulative regression models allow for selection
    of matching criterion (total score, standardized total score) and
    parametrization (classical slope/intercept and IRT parametrization).

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-5. (2019-04-03) -
-------------------------------------------------------

BUG FIXING
  o SD in Regression section was changed to SE.
  o Keep missing values button is now functioning and it is applied
    for ordinal and binary data.

MAJOR UPDATES
  o Cumulative logistic regression model was implemented for ordinal data.
  o Delta method is now applied for calculation of SE in IRT parametrization
    in cumulative logistic regression.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-4. (2019-03-28) -
-------------------------------------------------------

BUG FIXING
  o Bug in slider in histogram of total scores was fixed. Range is now
    correctly displayed when NA values are present.
  o Fixing versions.

MAJOR UPDATES
  o Math mode is now stable in tables.
    (Thanks to Stéphane Laurent)
  o UI for polytomous models in Regression section was added.
  o Traditional item analysis table is done via ItemAnalysis() function.
    It now includes also average score.

MINOR UPDATES
  o startShinyItemAnalysis() automatically launches default web browser.
  o Sample code and wording was updated for traditional item analysis table
    in app and also in reports.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-3. (2019-03-26) -
-------------------------------------------------------

MINOR UPDATES
  o ggWrightMap() now can display user-specified names of items
    (Reported by Matthew G R Courtney)
  o plotDIFLogistic() now can display user-specified names
    of reference and focal group.
  o Some typos were fixed.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-2. (2019-03-15) -
-------------------------------------------------------

MAJOR UPDATES
  o Analysis for ordinal items has been added. This includes use of ordinal
    data in sections Summary (histogram of Total scores, success rate),
    Reliability, Validity (correlations, predictive validity),

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0-1. (2019-03-08) -
-------------------------------------------------------

BUG FIXING
  o Equations for 3PL and 4PL regression models were fixed.

MAJOR UPDATES
  o Math symbols are now displayed using MathJax.
  o Exercises were added in IRT section / Polytomous Training.
  o DIF section now includes method comparison.

MINOR UPDATES
  o Labeling of correction methods in DIF section was improved.
  o Ability parameters are now available also for Bock's model.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.3.0. (2019-02-25) -
-------------------------------------------------------

** This is CRAN version, it includes version 1.2.9.-1.-3. **

Besides, following updates are included:

MINOR UPDATES
  o Reference to a new paper on ShinyItemAnalysis in The R journal was added.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.9-3. (2019-01-30) -
-------------------------------------------------------

BUG FIXING
  o Histograms for total scores now handle cut-scores out of range of
    observed values
  o Bug in reports when using delta plot with purification was fixed.
  o Cut-scores for histograms are properly displayed in reports.
  o Year in reports was updated.

MAJOR UPDATES
  o Sections About, References and Settings are displayed only with icon
    and are right-aligned.
  o Margins and padding were updated.
  o t-test was added for comparison of total scores between groups
    into DIF section and into reports.
  o Histograms for total scores are now displayed in plotly mode.

MINOR UPDATES
  o Some math mode was fixed in IRT section.
  o Some typos were fixed.
  o Selected R code was updated in DIF/Total scores.
  o Animate function for sliders was slowed down.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.9-2. (2019-01-11) -
-------------------------------------------------------

BUG FIXING
  o Generalized ULI index is now correctly displayed in traditional
    item analysis table in reports.
  o Item names are now correctly displayed in reports.
  o Item names are now correctly displayed in DDF section.
  o Function plotDIFLogistic() now handles user-specified matching
    criterion.

MINOR UPDATES
  o Legend of DDplot was modified.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.9-1. (2018-12-10) -
-------------------------------------------------------

MINOR UPDATES
  o Wording in PDF/HTML reports was edited.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.9. (2018-12-06) -
-------------------------------------------------------

BUG FIXING
  o IRT/Training/Dichotomous models - plots are correctly plotted.
  o Download buttons in IRT/4PL works now.

MAJOR UPDATES
  o TIF were converted into plotly.
  o Section Validity/FA is not accessible for now.

MINOR UPDATES
  o Selected R code for IRT/Bock's model was updated.
  o Wording in IRT models was updated.
  o Wording in Reports was updated.
  o Legend for plots of IRT models was modified in Reports.
  o Ability estimates summary table is now round in Reports.
  o Some typos were fixed in Reports.
  o Colours of IRT summary plots correspond to model for Items.


-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.8-7. (2018-12-05) -
-------------------------------------------------------

MAJOR UPDATES
  o IRT section of shiny app was updated and now provides
    new and more shiny figures in plotly
  o PDF and HTML reports were updated and now allow
    - different types of correlation in corrplots
    - different types of discrimination indices in DDplots
    - summary table for ability estimates in IRT section

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.8-6. (2018-12-03) -
-------------------------------------------------------

BUG FIXING
  o Dendrogram is now correctly rendered.

MAJOR UPDATES
  o Function ItemAnalysis() was added.
  o IRT section now allows download of ability estimates

MINOR UPDATES
  o Help pages for functions were updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.8-5. (2018-11-29) -
-------------------------------------------------------

BUG FIXING
  o Key for ordinal data for binarization is now correctly used. Values
    greater or equal to value of the key are set to 1.
  o When NULL data is uploaded, default dataset GMAT is in use.

MAJOR UPDATES
  o Scree plot was moved into the new tab 'Factor analysis'.
  o Dendrogram was added into 'Correlation structure' tab.
  o Option for global cut-score for ordinal data was added.
  o R package ggdendro is now used.
  o Removal of items with only 0s or 1s now works.
  o Removal of observation with NA group now works.

MINOR UPDATES
  o Text in Data section was updated.
  o List of references was updated.
  o Selected R code in 'Correlation structure' tab was updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.8-4. (2018-11-23) -
-------------------------------------------------------

BUG FIXING
  o Bug in IRT models/Training/Dichotomous models text of theta in
    plotly was fixed.

MAJOR UPDATES
  o Reorganization of data upload and renaming data variables.
      test_answers() -> nominal()
      correct_answers() -> binary()
      scored_test() -> total_score()
      test_key() -> key()
      DIF_groups() -> group()
      criterion_variable -> criterion()

    And creating new variables:
      ordinal() - ordinal data
      maximal() - maximal values for ordinal data
      minimal() - minimal values for ordinal data
      z_score() - standardized total score, no need to use scale(total_score())
                  in each function

MINOR UPDATES
  o Updating text in Data section.
  o Editing boxes for data upload in Data section.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.8-3. (2018-11-20) -
-------------------------------------------------------

BUG FIXING
  o Bug in Regression/Nonlinear 4P IRT Z (rounding in interpretation)
    was fixed.
  o Bug in IRT models/Training/Dichotomous models text of theta in
    plotly was fixed.
  o Bug in IRT models/Training in plotly a ModeBar was fixed.

MAJOR UPDATES
  o Data upload now allows also ordinal data, min/max values can be
    specified.
  o Validity/Correlation structure now allows selection between
    Pearson/Spearman/Polychoric correlation, Polychoric is default
    for binary data
  o DDplot now allows also ordinal items and offers different types
    of discrimination indices to be displayed
  o Download of tables (as .csv files) is now provided for
    standard scores, correlation matrix, traditional item analysis,
    and for parameter estimates in IRT models.

MINOR UPDATES
  o Data upload now better points to "Upload data" button.
  o Precision was re-set for IRT models/Training tab. Now = 0.1.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.8-2. (2018-11-05) -
-------------------------------------------------------

MAJOR UPDATES
  o gDiscrim() function has been extended to calculate Upper-Lower
    Index (ULI) also for ordinal items

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.8-1. (2018-10-01) -
-------------------------------------------------------

BUG FIXING
  o Bug in IRT dichotomous models comparison is fixed.
    (Reported by Jean-Luc Kop)
  o Bug in IRT dichotomous models (3PL and 4PL) was fixed.
    Tables of parameters are rendered even in case that EM cycles
    terminated without convergence. In such a case SD of parameters
    are set to NA.
  o Bug in plotDIFLogistic() function was fixed. Function now returns
    also item.name argument.
  o Bug in plotDIFirt() function was fixed. Function now returns also
    item.name argument.

MAJOR UPDATES
  o Global setting for figure downloads was created. This can be changed
    in Setting section.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.8 (2018-09-27) -
-------------------------------------------------------

 ** This is CRAN version, it includes version 1.2.7.-1.-7. **

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.7-7. (2018-09-27) -
-------------------------------------------------------

MAJOR UPDATES
  o Section Reliability was added.
    - Split-half methods including also Revelle's beta were added
    - Cronbach's alpha method with CI was moved to section Reliability.
    - Spearman-Brown formula was added.
  o New function ggWrightMap replaced wrightMap from WrightMap package.
  o Section IRT models
    - Selected R code for Rasch and 1PL models was updated.

MINOR UPDATES
  o Reference list was updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.7-6. (2018-08-29) -
-------------------------------------------------------

MAJOR UPDATES
  o Section DIF/Fairness
    - Subsection Logistic IRT Z is deprecated.
    - Subsection Nonlinear IRT Z is now called Generalized logistic.
    - Subsection Generalized logistic includes now wide range of models
      and different specification of DIF type.
    - Subsection SIBTEST was added, including SIBTEST method and
      Crossing-SIBTEST method.

MINOR UPDATES
  o Reference list was updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.7-5. (2018-08-22) -
-------------------------------------------------------

MINOR UPDATES
  o Some wording was updated.
  o Selected R code was updated.
  o Function theme_shiny is deprecated.
    New function theme_app() was created and applied for all
    graphics, including R functions in package.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.7-4. (2018-08-10) -
-------------------------------------------------------

MINOR UPDATES
  o Paddings were adjusted.
  o Acknowledgments were updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.7-3. (2018-07-27) -
-------------------------------------------------------

BUG FIXING
  o Crashing of the app when upload no data was fixed.

MAJOR UPDATES
  o Data page
    - Design of data page was changed.
    - User can now specify encoding of missing values.
    - Basic summary was added.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.7-2. (2018-07-04) -
-------------------------------------------------------

MAJOR UPDATES
  o Phone version
    - collapsible menu closes when clicked

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.7-1. (2018-07-02) -
-------------------------------------------------------

BUG FIXING
  o Plotly files in IRT training section are now displayed with
    mode bar due a bug in plotly package.

MINOR UPDATES
  o Some typos were fixed.
  o Link to google form for feedback was added into About section.
  o New R icon was added into footer.

-------------------------------------------------------
- ShinyItemAnalysis 1.2.7. (2018-05-03) -
-------------------------------------------------------

 ** This is CRAN version, it includes version 1.2.6.-1.-12. **

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-12. (2018-04-26) -
-------------------------------------------------------

MINOR UPDATES
  o Mirror at Charles University is no longer in use.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-11. (2018-04-24) -
-------------------------------------------------------

MAJOR UPDATES
  o Function 'DDplot()'
    - Limits for y-axis were adjusted when negative values of discrimination
      are detected.
    - Warning for negative discrimination values were added.
  o Reports
    - Some unused parts of reports were excluded.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-10. (2018-04-19) -
-------------------------------------------------------

MAJOR UPDATES
  o UI
    - Some parts were splitted from main ui.R file
  o IRT
    - Exercises in IRT training were extended.
  o Data
    - Bug in data upload was fixed. Now length of criterion variable
      is correctly checked.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-9. (2018-04-16) -
-------------------------------------------------------

MAJOR UPDATES
  o Packages - shinyBS is now required.
  o Data
    - HCI dataset was added into package.
    - Description of dataMedical was improved.
    - Description of training datasets was improved.
  o About
    - Page was improved.
  o IRT
    - Helps for interactive exercises were added.

MINOR UPDATES
  o Typos were fixed.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-8. (2018-04-13) -
-------------------------------------------------------

MAJOR UPDATES
  o IRT
    - Expected item scores were removed from IRT training NRM.
    - Interactive exercises were added into  IRT training - dichotomous
      models.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-7. (2018-04-12) -
-------------------------------------------------------

MAJOR UPDATES
  o Data
    - Graded data od Medical data set was added.
    - In all dataMedical data sets the criterion variable was renamed to
      StudySuccess.
  o IRT
    - Expected item scores were added into polytomous models in IRT training.
    - Selected R code was updated in IRT training.

MINOR UPDATES
  o IRT section
    - Colors of sliders and curves in IRT training section were adjusted.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-6. (2018-04-10) -
-------------------------------------------------------

MAJOR UPDATES
  o Regression
    - NLR 4P model was added into model comparison.

MINOR UPDATES
  o README file was updated. Typos were fixed.
  o Design of figures was unified.
  o Download button options were unified.
  o Selected R code syntax was improved in some sections
    (IRT only partionally, DIF not).
  o Selected R code was improved for first 4 sections.
  o Some wording was improved.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-5. (2018-04-09) -
-------------------------------------------------------

MAJOR UPDATES
  o IRT section
    - Wording for IRT training was added and improved.
  o Selected R code syntax was improved in some sections. This can be
    done with
    txt <- gsub("\n", "<br>", txt)
    txt <- gsub(" ", "&nbsp;", txt)
    txt
    where txt is R code in "".
  o theme_shiny was created as a default theme for all figures.
    Now it is used only partionally.

MINOR UPDATES
  o README file was updated. Typos were fixed. Links were added.
    Hexbin was added.
  o References were updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-4. (2018-04-06) -
-------------------------------------------------------

MAJOR UPDATES
  o IRT section
    - Selected R code was added into polytomous models.
    - Equations were added into polytomous models.
    - Download buttons were added into polytomous models.
    - 4PL model was added.
    - 4PL model was added into model comparison.
    - Sliders in IRT training are now colored with respect to line colors.
  o Regression section
    - Section is newly organized.
    - NLR 4P model was added.
  o Reports
    - 4PL IRT model was added as an option.
    - IRT equation is generated based on selected model only.
  o Unnecessary files were deleted. Some cleaning of files was done.

MINOR UPDATES
  o IRT section
    - Selected R code in model comparison was updated. Typos were fixed.
  o Regression section
    - Interpretation of NLR 3P model was extended.
    - Syntax for NLR 3P model was improved.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-3. (2018-04-05) -
-------------------------------------------------------

MAJOR UPDATES
  o IRT section
    - IRT section is newly organized.
    - IRT training section was expanded by polytomous models.
      GRM, GPCM and NRM were added.
    - Syntax for IRT training was improved.

MINOR UPDATES
  o IRT section
    - Sliders steps are now 0.01 in dichotomous models.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-2. (2018-04-03) -
-------------------------------------------------------

MINOR UPDATES
  o Numeric inputs were removed from IRT training section.
  o Selected R code was extended in IRT training section by item
    information function plot.
  o References were updated.
  o Mirror web link was updated.

-------------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6-1. (2018-03-15) -
-------------------------------------------------------

BUG FIXING
  o Reports with DDF but none DDF item are now correctly generated.

MINOR UPDATES
  o Hexbin
    - was added into footer.
    - is now as shortcut icon.
  o Paddings
    - in large devices was adjusted.
    - in small devices was adjusted.
  o Unnecessary files were deleted.
  o Reports
    - Some wording in reports was improved.
    - PDF report text is fully justified.
    - Subsections characteristic curves is not visible when none DIF
      or DDF item is present.
    - Some typos were fixed.
    - Some parameters were renamed. The unneecessary ones were removed.

---------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.6 (2018-03-01) -
---------------------------------------------------

MAJOR UPDATES

  o UI for DIF/Fairness section was updated.
  o References were added into About page.
  o New design of reports is now available. Design of PDF reports was
    updated.
  o Wording in report was improved.
  o DIF/Fairness section in report was improved.
  o New hexbin for ShinyItemAnalysis was created and added into reports.
  o Sample code in DIF/Fairness IRT Lord and IRT Raju was extended to
    1PL, 2PL and 3PL models.
  o Bugs fixing
      - Wording in regression plots was fixed.
      - Examples in DIF/Fairness IRT Lord and IRT Raju were fixed.
      - Function 'plotDIFirt()' now can be also used for only one item.


MINOR UPDATES

  o Reference list was updated.
  o CITATION file was modified.
  o In Summary page the description for summary table was added. The sample
    code was updated.
  o Wording in summary statistics in Summary section was improved.
  o Description of Session info section in reports was added.


---------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.5 (2017-11-14) -
---------------------------------------------------

MAJOR UPDATES

  o Correlation plots now offer reordering by hierarchical clustering.
    Several linkage methods are offered. This is also included in reports.
  o Confirmation of data upload was added. Also warnings and errors are
    displayed in case that something went wrong when uploading.
  o In IRT training
      - parameter theta (latent ability) is now included
      - the interpretation for characteristic curves is provided
      - horizontal and vertical lines for specified theta were added
        into plot for characteristic curves
      - selected R code was added.
  o In multinomial regression bug when only two choices in data are present
    was fixed.

MINOR UPDATES

  o Link for Adela's website was added.
  o Columns for BIC and its adjusted version were swapped in table for
    IRT models comparison. Text above table was also updated.
  o In IRT section dpi of downloaded plots was set to 300.
  o In IRT training downloaded plots also include legend with parameters.
  o In all IRT models table with parameters includes all parameters
    a, b, c, d.
  o In IRT training equations were moved above interpretation.


---------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.4 (2017-08-28) -
---------------------------------------------------

MINOR UPDATES

  o Reports were mildly updated.
  o Resolution of figures in reports was increased (now 300ppi)
  o Dependencies were updated.
  o Some typos fixed.
  o Legends of plots were unified and placed in better way for
      - 'NLR IRT Z'
      - 'DDF'
      - function 'plotDIFlogistic()'
  o Bug in item names for 'DDF' subsection of 'Fairness/DIF' section
    was fixed.

---------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.3 (2017-08-22) -
---------------------------------------------------

*** THIS IS A CRAN VERSION ***

MAJOR UPDATES

  o Report's customized options were extended. Reports now include also
    dynamic description.
  o Author and dataset name can be now filled and add into reports.
  o Dataset 'difMedical' was renamed to 'MSAT-B' according to 'difNLR'
    package. Its description was mildly updated.
  o Purification options were added into 'Nonlinear IRT Z' and 'DDF' subsections
    of 'DIF/Fairness' sections.
  o Purification options was added 'DDF' analysis in 'Reports' section when customized
    setting is selected.


MINOR UPDATES

  o Size of plots and font in plots was changed for reports.
  o Plots in HTML report are now centered.
  o Wording of reports' default option was updated.
  o References were updated in 'Reference' section and also in README file.
  o Wording of Spearman test in 'Validity' section was mildly updated.

---------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.2 (2017-07-26) -
---------------------------------------------------

MAJOR UPDATES

  o Design of reports was edited.
  o Several bugs were fixed:
     - Bug when creating report for uploaded data was fixed.
     - Bug when creating report for data without predictive
       criterion or DIF group was fixed.
  o ShinyItemAnalysis now uses 'plotly' package!

MINOR UPDATES

  o Design and options of 'Report' page were updated.
  o Layout of IRT curves training page was mildly changed. There are now
    two curves in each plot. Also text area input was added and synchro-
    nized with sliders. Colour of sliders now correspond to colour of
    curve.


---------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.1 (2017-07-16) -
---------------------------------------------------

MAJOR UPDATES

  o Several bugs were fixed:
     - Interpretation of regression models was fixed.
     - Interpretation of text about correlation in Predictive validity
       was fixed.
  o ShinyItemAnalysis now used also 'data.table' package.
  o Data page was divided into two subpages to avoid long rendering
    of tables.
    when changing datasets.
  o Function 'gDiscrim' to calculate generalized discrimination was
    implemented.
  o Function 'DDplot' was edited to be able to handle generalized
    discrimination.
    Double slider was added into 'Traditional analysis page'.
  o Traditional analysis table was extended by adding column
    with generalized
    discrimination. This is done also in reports.
  o Some pages has now their own source code files:
     - 'Summary' - Summary.R
     - 'Validity'- Validity.R
     - 'Traditional analysis' - TraditionalAnalysis.R
     - 'Regression' - Regression.R
     - 'IRT models' - IRT.R
     - 'DIF/Fairness' - DIF.IRT

MINOR UPDATES

  o Last three rows in regression comparison table are now bold.
  o Reference list was extended.
  o The subpage 'Distractors' of 'Item analysis' page was mildly edited.
  o Generalized DD plot was removed from 'Distractor' subpage. It is now
    available on 'Traditional item analysis' subpage.
  o Item patterns frequency plot is now made with 'ggplot2' package.
  o Names of downloaded plots were customized and their resolution was
    increased and size of text was descreased in some pages:
     - Summary
     - Validity
     - Item analysis
     - Regression


---------------------------------------------------
- Changes in ShinyItemAnalysis 1.2.0 (2017-06-15) -
---------------------------------------------------

*** THIS IS A CRAN VERSION ***

MAJOR UPDATES

  o ShinyItemAnalysis can now handle missing values. Newly there is
    an option to handle NA values as zeros in scored data.
  o Bug in WrightMap was fixed.
  o We have new contributor - Lubomir Stepanek!
  o New online mirrors were added.
  o Busy indicator and tooltips were added.
  o Structure of application was mildy updated.
  o Datasets 'dataMedical()', 'dataMedicalkey()', 'dataMedicaltest()'
    were updated. Group variable and criterion variable were added.
  o The newest versions of some packages are now required ('difNLR v 1.0.2',
    'difR v 4.7', 'ggplot2 v 2.2.1', 'mirt v 1.24', 'shiny 1.0.3' and
    'shinyjs v 0.9').

  * DIF/Fairness
    o Option of item purification was added into some DIF detection
      methods - Delta plot method, Mantel-Haneszel, Logistic regression
      with total score, Lord's test and Raju's test.
    o Default option of p-values adjustments in DIF detection methods
      was set to 'none'.
    o Bugs in DIF Logistic IRT Z and DIF Nonlinear IRT Z tables of parameters
      were fixed.
  * IRT models
    o IRT models are now fitted only by mirt package.
    o Training plots of item characteristic and information curves were
      added into IRT models section.
    o Pearson's correlation coefficient between factor scores and
      standardized total score was added for Bock's nominal IRT model.
  * Reports
    o New options for reports were added. By default no IRT models and
      no graphs of correlation structure are fitted.
    o Reports are now described in detail.
    o The settings of reports are now also offered in Report section.
    o Generation of reports is now done part by part. Once it is finished,
      the download button is offered.
    o Message boxs with warning for generation and download of reports
      were added.
  * Validity analysis:
    o Validity analysis of predictive outcome is now included on Validity
      page in Predictive validity section.
    o Now it is possible to upload predictive outcome.
    o Dataset 'GMAT' and 'GMATtest' from 'difNLR' package include now criterion
      variable which can be used in Predictive validity section.
    o Functions 'DistractorAnalysis()' and 'plotDistractorAnalysis()' were
      extended by 'matching' argument.
  * Item analysis
    o Barplot of answer selection proportion was added into Distractor
      subsection.
    o Diagram of custom discrimination - new version of DD plot - was
      added into Distractor subsection.

MINOR UPDATES

  o CITATION file was added.
  o Maximum upload size was set to 30MB.
  o Item names were fixed and unified.
  o Some typos were fixed.
  o Readme file was updated.
  o Reports design was slightly updated.
  o Code was slightly updated to correspond to new versions of packages
    difNLR, mirt and ggplot2.
  o Selected code was updated.
  o Package dependencies were updated (packages 'knitr' and 'xtable' are
    now used in report generation).
  o Minor bug in DIF IRT (Lord and Raju) plots and downloads was fixed.
  o Designs of footer and navigation bar were updated.
  o The version for small media was designed.
  o Weblink for version 1.1.0 was created.
  o Reference list was expanded and links to online versions of articles
    were added.

---------------------------------------------------
- Changes in ShinyItemAnalysis 1.1.0 (2016-02-02) -
---------------------------------------------------

*** THIS IS A CRAN VERSION ***

MAJOR UPDATES

  o  New overall appearence using shinythemes package.
  o  New datasets 'dataMedical()', 'dataMedicalkey()', 'dataMedicaltest()'
     were added into the package.
  o  New dataset is offered in example datasets inside the shiny app.
  o  Bug in Distractor plots for uploaded data was fixed.
  o  Calculation of Success Rate in Standard Scores was fixed.
  o  Differential Distractor Functioning detection method was added.
  o  Syntax of difNLR functions was edited to response to new version of
     package.
  o  Function plotDIFirt() was updated.
  o  Correlation structure section was added including correlation plot
     and scree plot.
  o  Pages structure was changed and updated.
  o  IRT models are now fitted by mirt package.
  o  Subsection IRT model selection was added into IRT models section.
  o  Wrigh maps were added for Rasch and 1PL IRT model.
  o  Bug in data upload was fixed.
  o  Subsection regression model selection was added into Regression
     section.


MINOR UPDATES

  o  Typos were fixed.
  o  Selected R code was updated.
  o  Description of data including uploading own data set was extended.
  o  Description of Standard scores was added.
  o  Lower panel was updated.
  o  Rasch model was added into IRT models section.
  o  Pearson correlation coefficient of factor scores and Z-scores were
     added for IRT models
  o  Reference list was expanded.
  o  Bug in multinomial regression for scored data was fixed.
  o  Bug in DDF for datasets withou DIF items was fixed.
  o  Selected code was updated.

---------------------------------------------------
- Changes in ShinyItemAnalysis 1.0.0 (2016-11-25) -
---------------------------------------------------

*** THIS IS A CRAN VERSION ***

UPDATES

  o  New graphical representation via ggplot2 package
  o  Cronbach's alpha was added
  o  Distractor analysis was extended
  o  More DIF detection methods were added
     Mantel-Haenszel test, Logistic regression,
     Lord's and Raju's statistic for IRT models
     all are now used via difR package
  o  Delta plots were extended:
     fixed and normal threshold are now allowed
  o  Multiple comparison correction methods were added
     into DIF detection procedures
  o  More examples of datasets were added
     from difNLR package
  o  References were added
  o  New functions were added into the package:
	- 'DDplot()' function for graphical representation
           of difficulties and discriminations.
        - 'DistractorAnalysis()' function and its graphical
           representation 'plotDistractorAnalysis()'.
        - 'plotDIFirt()' and 'plotDIFLogistic()' functions for
           plotting characteristic curves based on IRT models
           and based on logistic regression.

